body::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 4px;
  background-color: #142a58;
}

body::-webkit-scrollbar {
  width: 6px;
  background-color: #000000;
}

body::-webkit-scrollbar-thumb {
  border-radius: 5px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
  background-color: orange;
}

@font-face {
  font-family: Montserrat;
  src: url('../src/fonts/Montserrat/Montserrat-VariableFont_wght.ttf');
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    cursor: default;
  }
  
  html, body {
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    background: radial-gradient(circle at top, #0a2540, #020b17);
  }
    
  /* Neblina oceânica */
  body::after {
    content: "";
    position: fixed;
    inset: 0;
    background:
      radial-gradient(circle at 50% 15%, rgba(120,200,255,0.08), transparent 55%),
      linear-gradient(to bottom, rgba(255,255,255,0.02), transparent);
    pointer-events: none;
    height: 100dvh;
    width: 100dvw;
    overflow: hidden;
  }
  
  .content{
    margin-top: 32px;
    background-color: rgba(255, 255, 255, 0.041);
    border: solid 1px rgba(240, 248, 255, 0.096);
    width: 75dvw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: aliceblue;
    font-family: Montserrat;
    overflow-y: visible;
    padding-top: 8ch;
    padding-bottom: 8ch;
    margin-bottom: 10ch;
    padding-left: 10ch;
    padding-right: 10ch;
    border-radius: 6px;

    h2{
      margin-top: 2ch;
      transition: all 0.3s;
      font-weight: lighter;
    }

    li{
      font-family: Montserrat;
      font-weight: lighter;
    }
    
    p{
      font-family: Montserrat;
      font-weight: lighter;
      margin-top: 1ch;
      text-indent: 2cap;
      text-align: center;
    }

    hr{
      margin-top: 2ch;
      width: 90%;
      background: linear-gradient(90deg, #813411, orange);
      border: none;
      height: 2px;
    }
    
    h3{
      opacity: 0.6;
    }
    
    button{
      font-family: Montserrat;
      margin-top: 24px;
      background-color: transparent;
      padding: 8px;
      border: solid 1px aliceblue;
      color: aliceblue;
      transition: all 0.3s;
    }

    button:hover{
      color: orange;
      border: solid 1px orange;
      border-radius: 16px;
    }
  }

  footer{
    position: absolute;
    bottom: 0;
    margin-bottom: 14px;
    color: rgba(240, 248, 255, 0.527);
    font-family: Montserrat;
    font-size: 0.8rem;
  }